Subject: Re: bug#13280: od 8.19: inappropriate formatting of the man pages

From: Pádraig Brady <[email-masked]>
Date: Thu, 27 Dec 2012 13:45:11 +0000

On 12/27/2012 12:53 PM, Akim Demaille wrote:
>
> Le 27 déc. 2012 à 12:42, Pádraig Brady <[email-masked]> a écrit :
>
>> Yes the grouping of that info wasn't optimum.
>> I've adjusted things a bit in the attached patch,
>> and the result can be seen in the attached pdf generated with:
>>   man -t man/od.1 | ps2pdf - > od.pdf
>> Note since people like examples, as part of this I've added
>> an EXAMPLES section, that shows how to output a hexdump with od.
>
>
> Very nice!
>
> I notice that instead of the usual:
>
>   Mandatory arguments to long options are mandatory for short options too.
>
> there is:
>
>   All arguments to long options are mandatory for short options.
>
> which is not right since:
>
> −w[BYTES], −−width[=BYTES]
>    output BYTES bytes per output line. 32 is implied when BYTES is not specified

Wow good catch.
OK pushed with that change and Bernhard's bug reference suggestion.

thanks,
Pádraig.